GET /PurchaseOrders
Summary: Retrieves purchase orders
Operation ID: getPurchaseOrders
Auth: unknown
Operation ID: getPurchaseOrders
Auth: unknown
Parameters (7)
DateFrom
(string, query, optional)
Filter by purchase order date (e.g. GET https://.../PurchaseOrders?DateFrom=2015-12-01&DateTo=2015-12-31
DateTo
(string, query, optional)
Filter by purchase order date (e.g. GET https://.../PurchaseOrders?DateFrom=2015-12-01&DateTo=2015-12-31
If-Modified-Since
(string, header, optional)
Only records created or modified since this timestamp will be returned
Status
(string, query, optional)
Filter by purchase order status
Constraints: {'enum': ['DRAFT', 'SUBMITTED', 'AUTHORISED', 'BILLED', 'DELETED']}
order
(string, query, optional)
Order by an any element
page
(integer, query, optional)
To specify a page, append the page parameter to the URL e.g. ?page=1. If there are 100 records in the response you will need to check if there is any more data by fetching the next page e.g ?page=2 and continuing this process until no more results are returned.
xero-tenant-id
(string, header, required)
Xero identifier for Tenant
No probe data for this endpoint yet.